AutoScout24
AutoScout24: Search
Search from AutoScout24. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
autoscout24
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/autoscout24/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/autoscout24/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/autoscout24/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/autoscout24/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/autoscout24/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/autoscout24/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/autoscout24/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/autoscout24/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "autoscout24.search",
"params": {
"market": "de",
"make_id": "13",
"model_id": "1639",
"price_min": "5000",
"price_max": "20000",
"sort": "price",
"page": "2",
"limit": "20"
},
"response": {
"success": true,
"data": {
"listings": [
{
"listing_id": "f81b29b2-19e3-4418-8801-03578ed51631",
"url": "https://www.autoscout24.de/angebote/bmw-3er-316-d-tuev-neu-diesel-weiss-cat_ma13gr100038ge25va106mt123tr189-f81b29b2-19e3-4418-8801-03578ed51631",
"title": "BMW 316 Touring 316d",
"price": {
"amount": 5700,
"currency": "EUR",
"formatted": "€ 5.700",
"evaluation": 2,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 215000,
"unit": "km",
"raw": "215.000 km"
},
"first_registration": {
"raw": "06/2013",
"year": 2013,
"month": 6
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Diesel",
"transmission": "Schaltgetriebe",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Touring",
"motor_type": "316d",
"co2": {
"value": 119,
"unit": "g/km",
"raw": "119 g/km (komb.)"
},
"consumption": {
"value": 4.5,
"unit": "l/100 km",
"raw": "4,50 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "55252",
"city": "Mainz-Kastel"
},
"seller": {
"id": "32515898",
"type": "Dealer",
"name": "Rheinkastelautomobile",
"contact_name": "Jamil Daoud",
"dealer_slug": "rheinkastelautomobile"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_7ad97c85-7385-4c32-9ef0-66246530ef0d.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_5a482bfc-94a6-4ecd-b359-5f0f339db1b8.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_f8ec93db-0243-4422-883f-b6838edbc2cb.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
},
{
"listing_id": "2a852a90-b665-4e36-80cc-743214bd2ad3",
"url": "https://www.autoscout24.de/angebote/bmw-3er-316d-bmw-neu-tuev-diesel-cat_ma13gr100038ge25va105mt123tr479990-2a852a90-b665-4e36-80cc-743214bd2ad3",
"title": "BMW 316 Limousine 316d",
"price": {
"amount": 5800,
"currency": "EUR",
"formatted": "€ 5.800",
"evaluation": 1,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 177000,
"unit": "km",
"raw": "177.000 km"
},
"first_registration": {
"raw": "01/2012",
"year": 2012,
"month": 1
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Diesel",
"transmission": "Schaltgetriebe",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Limousine",
"motor_type": "316d",
"co2": {
"value": 118,
"unit": "g/km",
"raw": "118 g/km (komb.)"
},
"consumption": {
"value": 4.5,
"unit": "l/100 km",
"raw": "4,50 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "13347",
"city": "Berlin"
},
"seller": {
"id": "42804904",
"type": "PrivateSeller"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_56a95e03-a638-4ba0-a673-fe48d9ae3807.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_a51a7692-c3de-495c-83b8-ed6ca58f87d9.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_6f97d55a-d623-4312-b6df-6049c0be4203.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
},
{
"listing_id": "c92fadf8-5ee3-4350-adaf-909150ad9fff",
"url": "https://www.autoscout24.de/angebote/bmw-3er-tia-compact-klimaaut-sitzheiz-automatik-benzin-schwarz-cat_ma13gr100038ge24va102mt116tr479990-c92fadf8-5ee3-4350-adaf-909150ad9fff",
"title": "BMW 316 Compact 316ti",
"price": {
"amount": 5900,
"currency": "EUR",
"formatted": "€ 5.900",
"evaluation": 1,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 90000,
"unit": "km",
"raw": "90.000 km"
},
"first_registration": {
"raw": "10/2004",
"year": 2004,
"month": 10
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Benzin",
"transmission": "Automatik",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Compact",
"motor_type": "316ti",
"co2": {
"value": 190,
"unit": "g/km",
"raw": "190 g/km (komb.)"
},
"consumption": {
"value": 7.8,
"unit": "l/100 km",
"raw": "7,8 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "30938",
"city": "Fuhrberg"
},
"seller": {
"id": "26170",
"type": "Dealer",
"name": "Bartels-Automobile.de GmbH & Co.KG",
"contact_name": "Ihr Verkaufsteam",
"dealer_slug": "bartels-automobile-de-gmbh-und-co-kg"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_40dd9e85-72d1-42f6-91ae-03cc33b1752c.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_c2d0e469-4e62-41dc-8e41-a6dd94ba24e1.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_6eefe90e-bc9d-4f35-ad48-a8080c183c4c.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
}
],
"pagination": {
"page": 2,
"limit": 20,
"total": 193,
"total_pages": 10,
"has_more": true,
"next_page": 3
}
},
"meta": {
"duration_ms": 2183,
"endpoint_family": "search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the AutoScout24 API overview for every AutoScout24 endpoint.
Authorizations
Query Parameters
Available options:
de, at, be, it, fr, nl, es, com, pl Maximum string length:
12Maximum string length:
12Available options:
kw, ps Available options:
2, 3, B, C, D, E, H, L, M, O Available options:
A, M, S Available options:
1, 2, 3, 4, 5, 6, 7, 12, 13 Available options:
dealer, private Available options:
new, used, annual, N, U, J Available options:
N, U Maximum string length:
12Available options:
standard, price, age, mileage, year, power, make, distance, financerate, leasing_rate Available options:
asc, desc Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/autoscout24/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/autoscout24/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/autoscout24/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/autoscout24/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/autoscout24/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/autoscout24/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/autoscout24/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/autoscout24/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "autoscout24.search",
"params": {
"market": "de",
"make_id": "13",
"model_id": "1639",
"price_min": "5000",
"price_max": "20000",
"sort": "price",
"page": "2",
"limit": "20"
},
"response": {
"success": true,
"data": {
"listings": [
{
"listing_id": "f81b29b2-19e3-4418-8801-03578ed51631",
"url": "https://www.autoscout24.de/angebote/bmw-3er-316-d-tuev-neu-diesel-weiss-cat_ma13gr100038ge25va106mt123tr189-f81b29b2-19e3-4418-8801-03578ed51631",
"title": "BMW 316 Touring 316d",
"price": {
"amount": 5700,
"currency": "EUR",
"formatted": "€ 5.700",
"evaluation": 2,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 215000,
"unit": "km",
"raw": "215.000 km"
},
"first_registration": {
"raw": "06/2013",
"year": 2013,
"month": 6
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Diesel",
"transmission": "Schaltgetriebe",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Touring",
"motor_type": "316d",
"co2": {
"value": 119,
"unit": "g/km",
"raw": "119 g/km (komb.)"
},
"consumption": {
"value": 4.5,
"unit": "l/100 km",
"raw": "4,50 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "55252",
"city": "Mainz-Kastel"
},
"seller": {
"id": "32515898",
"type": "Dealer",
"name": "Rheinkastelautomobile",
"contact_name": "Jamil Daoud",
"dealer_slug": "rheinkastelautomobile"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_7ad97c85-7385-4c32-9ef0-66246530ef0d.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_5a482bfc-94a6-4ecd-b359-5f0f339db1b8.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/f81b29b2-19e3-4418-8801-03578ed51631_f8ec93db-0243-4422-883f-b6838edbc2cb.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
},
{
"listing_id": "2a852a90-b665-4e36-80cc-743214bd2ad3",
"url": "https://www.autoscout24.de/angebote/bmw-3er-316d-bmw-neu-tuev-diesel-cat_ma13gr100038ge25va105mt123tr479990-2a852a90-b665-4e36-80cc-743214bd2ad3",
"title": "BMW 316 Limousine 316d",
"price": {
"amount": 5800,
"currency": "EUR",
"formatted": "€ 5.800",
"evaluation": 1,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 177000,
"unit": "km",
"raw": "177.000 km"
},
"first_registration": {
"raw": "01/2012",
"year": 2012,
"month": 1
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Diesel",
"transmission": "Schaltgetriebe",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Limousine",
"motor_type": "316d",
"co2": {
"value": 118,
"unit": "g/km",
"raw": "118 g/km (komb.)"
},
"consumption": {
"value": 4.5,
"unit": "l/100 km",
"raw": "4,50 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "13347",
"city": "Berlin"
},
"seller": {
"id": "42804904",
"type": "PrivateSeller"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_56a95e03-a638-4ba0-a673-fe48d9ae3807.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_a51a7692-c3de-495c-83b8-ed6ca58f87d9.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/2a852a90-b665-4e36-80cc-743214bd2ad3_6f97d55a-d623-4312-b6df-6049c0be4203.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
},
{
"listing_id": "c92fadf8-5ee3-4350-adaf-909150ad9fff",
"url": "https://www.autoscout24.de/angebote/bmw-3er-tia-compact-klimaaut-sitzheiz-automatik-benzin-schwarz-cat_ma13gr100038ge24va102mt116tr479990-c92fadf8-5ee3-4350-adaf-909150ad9fff",
"title": "BMW 316 Compact 316ti",
"price": {
"amount": 5900,
"currency": "EUR",
"formatted": "€ 5.900",
"evaluation": 1,
"is_evaluation_enabled": true
},
"mileage": {
"value_km": 90000,
"unit": "km",
"raw": "90.000 km"
},
"first_registration": {
"raw": "10/2004",
"year": 2004,
"month": 10
},
"power": {
"kw": 85,
"ps": 116
},
"fuel": "Benzin",
"transmission": "Automatik",
"make": "BMW",
"model": "316",
"model_group": "3er",
"variant": "Compact",
"motor_type": "316ti",
"co2": {
"value": 190,
"unit": "g/km",
"raw": "190 g/km (komb.)"
},
"consumption": {
"value": 7.8,
"unit": "l/100 km",
"raw": "7,8 l/100 km (komb.)"
},
"location": {
"country_code": "DE",
"zip": "30938",
"city": "Fuhrberg"
},
"seller": {
"id": "26170",
"type": "Dealer",
"name": "Bartels-Automobile.de GmbH & Co.KG",
"contact_name": "Ihr Verkaufsteam",
"dealer_slug": "bartels-automobile-de-gmbh-und-co-kg"
},
"images": [
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_40dd9e85-72d1-42f6-91ae-03cc33b1752c.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_c2d0e469-4e62-41dc-8e41-a6dd94ba24e1.jpg/250x188.webp",
"https://prod.pictures.autoscout24.net/listing-images/c92fadf8-5ee3-4350-adaf-909150ad9fff_6eefe90e-bc9d-4f35-ad48-a8080c183c4c.jpg/250x188.webp"
],
"is_ocs": false,
"super_deal": false,
"availability": {
"available_now": true
}
}
],
"pagination": {
"page": 2,
"limit": 20,
"total": 193,
"total_pages": 10,
"has_more": true,
"next_page": 3
}
},
"meta": {
"duration_ms": 2183,
"endpoint_family": "search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}